ApiPerfInspectorPingArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiPerfInspectorPingArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiPerfInspectorPingArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiPerfInspectorPingArgs
      extends Object

  Arguments to run ping test.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiPerfInspectorPingArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getPingCount()` Number of iterations of the ping request to each target host.
    `BigDecimal` | `getPingPacketSizeBytes()` Packet size in bytes for each ping request.
    `BigDecimal` | `getPingTimeoutSecs()` Timeout in seconds for the ping request to each target host.
    `int` | `hashCode()`
    `ApiPerfInspectorPingArgs` | `pingCount(BigDecimal pingCount)`
    `ApiPerfInspectorPingArgs` | `pingPacketSizeBytes(BigDecimal pingPacketSizeBytes)`
    `ApiPerfInspectorPingArgs` | `pingTimeoutSecs(BigDecimal pingTimeoutSecs)`
    `void` | `setPingCount(BigDecimal pingCount)`
    `void` | `setPingPacketSizeBytes(BigDecimal pingPacketSizeBytes)`
    `void` | `setPingTimeoutSecs(BigDecimal pingTimeoutSecs)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiPerfInspectorPingArgs

          public ApiPerfInspectorPingArgs()

  - ### Method Detail

    - #### pingTimeoutSecs

          public ApiPerfInspectorPingArgs pingTimeoutSecs(BigDecimal pingTimeoutSecs)

    - #### getPingTimeoutSecs

          public BigDecimal getPingTimeoutSecs()

      Timeout in seconds for the ping request to each target host. If not specified, defaults to 10 seconds. Must be a value between 1 and 3600 seconds, inclusive.
      Returns:
        pingTimeoutSecs

    - #### setPingTimeoutSecs

          public void setPingTimeoutSecs(BigDecimal pingTimeoutSecs)

    - #### pingCount

          public ApiPerfInspectorPingArgs pingCount(BigDecimal pingCount)

    - #### getPingCount

          public BigDecimal getPingCount()

      Number of iterations of the ping request to each target host. If not specified, defaults to 10 count.
      Returns:
        pingCount

    - #### setPingCount

          public void setPingCount(BigDecimal pingCount)

    - #### pingPacketSizeBytes

          public ApiPerfInspectorPingArgs pingPacketSizeBytes(BigDecimal pingPacketSizeBytes)

    - #### getPingPacketSizeBytes

          public BigDecimal getPingPacketSizeBytes()

      Packet size in bytes for each ping request. If not specified, defaults to 56 bytes. Must be a value between 1 and 65507 bytes, inclusive.
      Returns:
        pingPacketSizeBytes

    - #### setPingPacketSizeBytes

          public void setPingPacketSizeBytes(BigDecimal pingPacketSizeBytes)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.